Catalogs

Read-only reference data (frameworks, regions, hardware, models). Cached 10 min.

List available frameworks

get

Returns all available agent frameworks. Any API key type. Cached 10 min.

Authorizations
AuthorizationstringRequired

API key sent as Bearer token. Two types:

  • Master key (g_master_...): full access to all agents and endpoints.
  • Agent key (g_agent_...): scoped to a single agent with specific permissions.
Responses
200

List of frameworks

application/json
idstring · uuidOptional
slugstringOptionalExample: openclaw
namestringOptionalExample: OpenClaw
descriptionstringOptional
iconstring · nullableOptional
availablebooleanOptional
tagstring · nullableOptional
get
/catalogs/frameworks

List framework clients

get

Returns available clients for a specific framework. Any API key type. Cached 10 min.

Authorizations
AuthorizationstringRequired

API key sent as Bearer token. Two types:

  • Master key (g_master_...): full access to all agents and endpoints.
  • Agent key (g_agent_...): scoped to a single agent with specific permissions.
Path parameters
frameworkIdstringRequired
Responses
200

List of framework clients

No content

get
/catalogs/frameworks/{frameworkId}/clients

No content

List available regions

get

Returns all available deployment regions. Any API key type. Cached 10 min.

Authorizations
AuthorizationstringRequired

API key sent as Bearer token. Two types:

  • Master key (g_master_...): full access to all agents and endpoints.
  • Agent key (g_agent_...): scoped to a single agent with specific permissions.
Responses
200

List of regions

application/json
idstring · uuidOptional
slugstringOptionalExample: eu-central-1
labelstringOptionalExample: EU (Frankfurt)
citystringOptionalExample: Frankfurt
availablebooleanOptional
get
/catalogs/regions

List available hardware configs

get

Returns all available hardware configurations. Any API key type. Cached 10 min.

Authorizations
AuthorizationstringRequired

API key sent as Bearer token. Two types:

  • Master key (g_master_...): full access to all agents and endpoints.
  • Agent key (g_agent_...): scoped to a single agent with specific permissions.
Responses
200

List of hardware configs

No content

get
/catalogs/hardware

No content

List available models

get

Returns all available AI models. Any API key type. Cached 10 min.

Authorizations
AuthorizationstringRequired

API key sent as Bearer token. Two types:

  • Master key (g_master_...): full access to all agents and endpoints.
  • Agent key (g_agent_...): scoped to a single agent with specific permissions.
Responses
200

List of models

application/json
idstring · uuidOptional
model_idstringOptionalExample: anthropic/claude-sonnet-4.6
providerstringOptionalExample: openrouter
namestringOptionalExample: Claude Sonnet 4.6
descriptionstring · nullableOptional
is_freebooleanOptional
is_defaultbooleanOptional
get
/catalogs/models

Last updated